Categories:
  - Connectivity
  - Science & Education
  - Security
License: PublicDomain
SourceCode: https://github.com/xloem/qrstream
IssueTracker: https://github.com/xloem/qrstream/issues

AutoName: QRStream
Description: |-
    <b>NOTE:</b> This app is no longer maintained.

    QRStream's intent is to provide for communication with a device without using
    the radios or USB port. This can be very useful in a handful of obscure
    situations.

    The first version of this app sent and received a text file or the clipboard by
    calling out to zxing, without a container format or protocol. Content is split
    into reasonable sizes and displayed as QR codes, or QR codes are read and
    spliced together in order. This does allow for compatibility with other barcode
    readers and generators.

    As (and if) the app develops, some ideas are an optional stream protocol,
    embedding the encoding and decoding for smoother use, ensuring binary data can
    be transferred reliably, including a data review screen, or providing forwarding
    for IP traffic.

    If this is useful to you, improve something and send a pull request!

RepoType: git
Repo: https://github.com/xloem/qrstream

Builds:
  - versionName: '1.02'
    versionCode: 3
    commit: android_v1.02
    subdir: android/app
    gradle:
      - yes

  - versionName: '1.04'
    versionCode: 5
    commit: android_v1.04
    subdir: android/app
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 6
    commit: android_v1.1.0
    subdir: android/app
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 7
    commit: android_v1.1.1
    subdir: android/app
    gradle:
      - yes

  - versionName: 1.1.2
    versionCode: 8
    commit: android_v1.1.2
    subdir: android/app
    gradle:
      - yes

  - versionName: 1.1.4
    versionCode: 9
    commit: android_v1.1.4
    subdir: android/app
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.1.4
CurrentVersionCode: 9
